Xerces-C++ 3.3.0

Static Public Member Functions | Protected Member Functions | List of all members
XMLReaderFactory Class Reference

Creates a SAX2 parser (SAX2XMLReader). More...

`#include <xercesc/sax2/XMLReaderFactory.hpp>`

## Static Public Member Functions
static SAX2XMLReader * | createXMLReader (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager, XMLGrammarPool *const gramPool=0)
static SAX2XMLReader * | createXMLReader (const XMLCh *className)

## Protected Member Functions
| XMLReaderFactory ()
| ~XMLReaderFactory ()

## Detailed Description

Creates a SAX2 parser (SAX2XMLReader).

Note: The parser object returned by XMLReaderFactory is owned by the calling users, and it's the responsibility of the users to delete that parser object, once they no longer need it.

See also
  SAX2XMLReader::SAX2XMLReader

## Constructor & Destructor Documentation

## ◆ XMLReaderFactory()

XMLReaderFactory::XMLReaderFactory | ( |  | ) |
| protected

## ◆ ~XMLReaderFactory()

XMLReaderFactory::~XMLReaderFactory | ( |  | ) |
| protected

## Member Function Documentation

## ◆ createXMLReader() [1/2]

SAX2XMLReader * XMLReaderFactory::createXMLReader | ( | const XMLCh * | className | ) |
| static

## ◆ createXMLReader() [2/2]

static SAX2XMLReader * XMLReaderFactory::createXMLReader | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager,
|  | XMLGrammarPool *const | gramPool = 0 )
| static

The documentation for this class was generated from the following file:

- XMLReaderFactory.hpp